%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-exit
Version:    0.1.2
Release:    1%{?dist}
Summary:    A process.exit alternative that ensures STDIO are fully drained before exiting
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/cowboy/node-exit
Source0:    http://registry.npmjs.org/exit/-/exit-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
BuildRequires:  npm(which)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/exit
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/exit

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/exit


%changelog
* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- initial package
